%global modulename readdir-scoped-modules

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-readdir-scoped-modules
Version:        1.0.2
Release:        1%{?dist}
Summary:        Like `fs.readdir` but handling `@org/module` dirs as if they were a single entry.

License:        ISC
URL:            https://github.com/npm/readdir-scoped-modules
Source0:        https://registry.npmjs.org/readdir-scoped-modules/-/readdir-scoped-modules-1.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(debuglog) >= 1.0.1 with npmlib(debuglog) < 2.0.0))
BuildRequires:  ((npmlib(dezalgo) >= 1.0.0 with npmlib(dezalgo) < 2.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(once) >= 1.3.0 with npmlib(once) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Like `fs.readdir` but handling `@org/module` dirs as if they were a single entry.

%package 1.0.2
Summary:        Like `fs.readdir` but handling `@org/module` dirs as if they were a single entry.


%description 1.0.2
Like `fs.readdir` but handling `@org/module` dirs as if they were a single entry.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr readdir.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.2-1
- Package automatically generated by npm2srpm
